.TH XScreenSaver 1 "" "X Version 11"
.SH NAME
cubestorm - a series of 3D boxes that fill space
.SH SYNOPSIS
.B cubestorm
[\-display \fIhost:display.screen\fP]
[\-visual \fIvisual\fP]
[\-window]
[\-root]
[\-delay \fInumber\fP]
[\-speed \fIfloat\fP]
[\-count \fIint\fP]
[\-thickness \fIfloat\fP]
[\-no-wander]
[\-no-spin]
[\-wireframe]
[\-fps]
.SH DESCRIPTION
Draws a series of rotating 3D boxes that intersect each other and
eventually fill space.
.SH OPTIONS
.TP 8
.B \-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-delay \fInumber\fP
Per-frame delay, in microseconds.  Default: 30000 (0.03 seconds.).
.TP 8
.B \-speed \fInumber\fP
Larger numbers mean run faster.  Default: 1.0.
.TP 8
.B \-count \fInumber\fP
Number of cubes.  Default 4.
.TP 8
.B \-thickness \fIfloat\fP
How thick the struts making up the cubes should be (0.0-1.0).  Default 0.06.
.TP 8
.B \-wander | \-no-wander
Whether the cubes should wander around the screen.
.TP 8
.B \-spin | \-no-spin
Whether the cubes should spin.
.TP 8
.B \-wireframe | \-no-wireframe
Render in wireframe instead of solid.
.TP 8
.B \-fps
Display the current frame rate, CPU load, and polygon count.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 2003 by Jamie Zawinski.  Permission to use, copy, modify, 
distribute, and sell this software and its documentation for any purpose is 
hereby granted without fee, provided that the above copyright notice appear 
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the 
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
Jamie Zawinski.
