.TH XScreenSaver 1 "9-oct-2002" "X Version 11"
.SH NAME
halftone - simple halftone pattern of moving mass points
.SH SYNOPSIS
.B halftone
[\-display \fIhost:display.screen\fP]
[\-visual \fIvisual\fP]
[\-window]
[\-root]
[\-count \fInumber\fP]
[\-spacing \fInumber\fP]
[\-sizefactor \fInumber\fP]
[\-delay \fInumber\fP]
[\-minmass \fInumber\fP]
[\-maxmass \fInumber\fP]
[\-minspeed \fInumber\fP]
[\-maxspeed \fInumber\fP]
[\-fps]
.SH DESCRIPTION
Draws the gravity force in each point on the screen seen through a
halftone dot pattern. The gravity force is calculated from a set of
moving mass points. View it from a distance for best effect.
.SH OPTIONS
.TP 8
.B \-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-root
Draw on the root window.
.TP 8
.B \-count \fInumber\fP
How many mass points to move around. Default: 10
.TP 8
.B \-spacing \fInumber\fP
Distance between each halftone dot. Default: 14
.TP 8
.B \-sizefactor \fInumber\fP
How big each halftone dot should be drawn compared to the spacing value. Default: 1.5
.TP 8
.B \-minmass \fInumber\fP
The minimum mass of each mass point. Default: 0.001
.TP 8
.B \-maxmass \fInumber\fP
The maximum mass of each mass point. Default: 0.02
.TP 8
.B \-minspeed \fInumber\fP
The minimum speed of each mass point. Default: 0.001
.TP 8
.B \-maxspeed \fInumber\fP
The maximum speed of each mass point. Default: 0.02
.B \-delay \fInumber\fP
Per-frame delay, in microseconds.  Default: 10000
.TP 8
.B \-fps
Display the current frame rate and CPU load.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 2002 by Peter Jaric. Permission to use, copy, modify,
distribute, and sell this software and its documentation for any
purpose is hereby granted without fee, provided that the above
copyright notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting documentation.
No representations are made about the suitability of this software for
any purpose.  It is provided "as is" without express or implied
warranty.
.SH AUTHOR
Peter Jaric

